use bindings::exports::test::exporter::exports::{Guest, GuestMyResource};

#[allow(warnings)]
mod bindings;

struct Component;

impl Guest for Component {
    type MyResource = MyResource;
}

pub struct MyResource {}

impl GuestMyResource for MyResource {
    fn get_static() -> String {
        "hello".into()
    }
}

bindings::export!(Component with_types_in bindings);
